Bug 433535 - /sbin/install-info in package scripts appears to produce spurious line in 'dir' file
/sbin/install-info in package scripts appears to produce spurious line in 'di...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: texinfo (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-19 16:46 EST by Michal Jaegermann
Modified: 2008-07-15 08:18 EDT (History)
1 user (show)

See Also:
Fixed In Version: 4.11-5.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-09 17:45:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2008-02-19 16:46:52 EST
Description of problem:

A check in /usr/share/info/dir file revealed that it collects
assorted spurious lines in this style:
"This is gdb.info, produced by makeinfo ...."
Are these really problems in corresponding package scripts or
/sbin/install-info is too "noisy"?  At the first glance scripts
seems to be ok.  I am not really sure how old are those "entries"
but those for 'fastjar', for example, appear to be quite recent.

Filtering those lines by 'sort' and 'uniq -c' produced on my
/usr/share/info/dir the following results:

      2 This is a2ps.info, produced by makeinfo version 4.11 from a2ps.texi.
      9 This is annotate.info, produced by makeinfo version 4.11 from
../../../gdb/doc/annotate.texinfo.
      6 This is coreutils.info, produced by makeinfo version 4.11 from
coreutils.texi.
      7 This is fastjar.info, produced by makeinfo version 4.11 from
../../fastjar/fastjar.texi.
      9 This is gdb.info, produced by makeinfo version 4.11 from
../../../gdb/doc/gdb.texinfo.
      9 This is gdbint.info, produced by makeinfo version 4.11 from
../../../gdb/doc/gdbint.texinfo.
      3 This is gettext.info, produced by makeinfo version 4.11 from gettext.texi.
      4 This is gnuplot.info, produced by makeinfo version 4.11 from ./gnuplot.texi.
      2 This is ../info/eintr, produced by makeinfo version 4.11 from
emacs-lisp-intro.texi.
      2 This is ../info/elisp, produced by makeinfo version 4.11 from elisp.texi.
      2 This is ../info/erc, produced by makeinfo version 4.11 from erc.texi.
      2 This is ../info/idlwave, produced by makeinfo version 4.11 from
idlwave.texi.
      2 This is ../info/org, produced by makeinfo version 4.11 from org.texi.
      4 This is ../info/url, produced by makeinfo version 4.11 from url.texi.
      8 This is libc.info, produced by makeinfo version 4.11 from libc.texinfo.
      2 This is ogonkify.info, produced by makeinfo version 4.11 from ogonkify.texi.
      2 This is regex.info, produced by makeinfo version 4.11 from regex.texi.
      9 This is stabs.info, produced by makeinfo version 4.11 from
../../../gdb/doc/stabs.texinfo.

Yes, I realize that apart from a mess this is most likely harmless.

Version-Release number of selected component (if applicable):
texinfo-4.11-5.fc9
Comment 1 Michal Jaegermann 2008-02-19 16:56:23 EST
I run "grep '^This is.*produced' /usr/share/info/dir" on F7 and F8
installations and I also immediately got a number of lines like the
above - although in smaller quantities.
Comment 2 Vitezslav Crhonek 2008-03-04 08:46:41 EST
Hi,

thanks for report.

I think this is #394191 hangover:

It seems that some packages built against non patched texinfo-4.11 package
produced "This is..." string.

However, even if you update them afterwards to packages built against fixed
texinfo-4.11, those two lines (one with string and second empty) will remain in
/usr/share/info/dir.

When I uninstall affected package (e.g. libgfortran), delete those "entries"
manually and then install package again, they does not appear anymore.

As you said - it's harmless and time will fix the problem.
Comment 3 Michal Jaegermann 2008-03-04 13:10:21 EST
I am not sure when texinfo-4.11 was patched but "fastjar.info"
lines have to be pretty recent ones.

> ... time will fix the problem.

sed -i 's/^This is.*produced by makeinfo.*from/d' /usr/share/info/dir

in some post scripts would be surely much faster. :-)  That I found
those in F7 and F8 gave me a bit of a pause.  OTOH this is a side-show.
Comment 4 Vitezslav Crhonek 2008-03-05 07:32:04 EST
Fine, I'll put it into info post.
Comment 5 Bug Zapper 2008-05-14 01:17:24 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora Update System 2008-05-14 07:28:15 EDT
texinfo-4.11-6.fc9 has been submitted as an update for Fedora 9
Comment 7 Fedora Update System 2008-05-14 18:11:25 EDT
texinfo-4.11-6.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update texinfo'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-3899
Comment 8 Orion Poplawski 2008-05-16 12:28:44 EDT
Also need this:

--- texinfo.spec        14 May 2008 09:38:24 -0000      1.54
+++ texinfo.spec        16 May 2008 16:27:07 -0000
@@ -12,6 +12,7 @@
 Source2: texi2pdf.man
 Patch0: texinfo-4.12-zlib.patch
 Requires(post): /sbin/install-info
+Requires(post): sed
 Requires(preun): /sbin/install-info
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires: zlib-devel, ncurses-devel

If you are using sed in %post.
Comment 9 Patrice Dumas 2008-05-18 13:55:34 EDT
(In reply to comment #3)
> I am not sure when texinfo-4.11 was patched but "fastjar.info"
> lines have to be pretty recent ones.
> 
> > ... time will fix the problem.
> 
> sed -i 's/^This is.*produced by makeinfo.*from/d' /usr/share/info/dir

Is the s/ really right?

In any case the command in the spec seems wrong to me:
sed -i 's/^This is.*produced by makeinfo.*from/d/' /usr/share/info/dir

Comment 10 Michal Jaegermann 2008-05-18 14:26:00 EDT
>> sed -i 's/^This is.*produced by makeinfo.*from/d' /usr/share/info/dir

> Is the s/ really right?

No, that is a typo.  You want to remove lines in question so this should
read:

  sed -i '/^This is.*produced by makeinfo.*from/d' /usr/share/info/dir

In any case comment #3 was only half serious.  Those "extra" lines
are added by various packages so cleaning them up, from time to time,
in one of these like 'texinfo' is not really a fix although will do
(assuming that this particular package is updated from time to time).

The best would be to make install-info more careful with what
is added.  A "hacky" option would be a "wrapper scipt" which first
runs "the real" install-info and follows that up with a cleanup.
Comment 11 Vitezslav Crhonek 2008-05-20 06:56:32 EDT
In my opinion, these harmless lines (for most users "invisible") are not worth
of writing wrapper script, moving/renaming original binary etc. and I regret
that I was convinced to try remove them:)
Comment 12 Fedora Update System 2008-05-30 06:27:11 EDT
texinfo-4.11-7.fc9 has been submitted as an update for Fedora 9
Comment 13 Fedora Update System 2008-06-27 08:42:17 EDT
texinfo-4.11-8.fc9 has been submitted as an update for Fedora 9
Comment 14 Fedora Update System 2008-06-27 09:09:04 EDT
texinfo-4.11-5.fc8 has been submitted as an update for Fedora 8
Comment 15 Fedora Update System 2008-07-09 17:45:47 EDT
texinfo-4.11-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2008-07-15 08:18:23 EDT
texinfo-4.11-8.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.